## geeqie 2.4

=== debian/changelog ===
geeqie (1:2.4-2build2) oracular; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Jun 2024 19:30:07 -0400

geeqie (1:2.4-2build1) oracular; urgency=medium

  * Rebuild against new libjxl0.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 May 2024 22:06:21 +0200

geeqie (1:2.4-2) unstable; urgency=medium

  [ Michael Moll ]
  * Build against Lua 5.4

  [ Andreas Rönnquist ]
  * Upgrade Standards-Version to 4.7.0 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 16 Apr 2024 16:03:54 +0200

geeqie (1:2.4-1) unstable; urgency=medium

  * New upstream version 2.4
  * Remove patch skipping failing tests, not needed any longer
  * Add patch to skip tests that don't run on Debian buildd
  * Add Build-dep on packages required for testing

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 25 Mar 2024 21:29:36 +0100

geeqie (1:2.3-1) unstable; urgency=medium

  * New upstream version 2.3
  * Remove patches, applied upstream:
    - Add-Keywords-field-to-desktop-file.patch
    - Fix-execute-permissions-for-plugins-geocode-parameters.aw.patch
    - Fix-1236-Window-Layouts-with-vertical-split-are-shifted-t.patch
  * Add patch to skip failing tests

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 16 Mar 2024 22:41:37 +0100

=== debian/control ===
Source: geeqie
Maintainer: Andreas Rönnquist <gusnan@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13),
               appstream,
               desktop-file-utils,
               libtool,
               meson,
               cmake,
               doxygen,
               libgtk-3-dev,
               libexiv2-dev,
               liblcms2-dev,
               liblirc-dev,
               intltool,
               imagemagick,
               libtiff-dev,
               libjpeg-dev,
               libjxl-dev,
               liblua5.4-dev,
               libffmpegthumbnailer-dev,
               libheif-dev,
               libwebp-dev,
               libdjvulibre-dev,
               libopenjp2-7-dev,
               libpoppler-glib-dev,
               libgspell-1-dev,
               libraw-dev,
               libarchive-dev,
               markdownlint,
               pandoc,
               shellcheck,
               webp-pixbuf-loader,
               yelp-tools,
               xxd
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/geeqie
Vcs-Git: https://salsa.debian.org/debian/geeqie.git
Homepage: http://geeqie.org/
Rules-Requires-Root: no

Package: geeqie
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         geeqie-common (= ${source:Version}),
         sensible-utils,
         webp-pixbuf-loader
Recommends: exiftran,
            exiv2,
            zenity,
            imagemagick,
            librsvg2-common,
            cups-bsd | lpr
Suggests: gimp,
          xpaint,
          libjpeg-progs
Replaces: gqview, geeqie-common (<= 1:1.5.1-2)
Breaks: geeqie-common (<= 1:1.5.1-2)
Description: image viewer using GTK+
 Geeqie is a browser for graphics files offering single click viewing of
 your graphics files. It includes thumbnail view, zoom, filtering
 features and external editor support.

Package: geeqie-common
Architecture: all
Depends: ${misc:Depends}
Recommends: geeqie
Multi-Arch: foreign
Description: data files for Geeqie
 Geeqie is a browser for graphics files offering single click viewing of
 your graphics files. It includes thumbnail view, zoom, filtering
 features and external editor support.
 .
 This package contains data files for Geeqie such as documentation or
 locales.

## geeqie 2.5

=== meson_options.txt ===
# This file is a part of Geeqie project (https://www.geeqie.org/).
# Copyright (C) 2008 - 2022 The Geeqie Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# These gq_* paths are used relative to /prefix/ e.g.
#               prefix
# gq_bindir -> /user/local / 'lib/geeqie'
# gq_helpdir -> /user/local / 'share/doc/geeqie'

# Override the default values set in meson.build
option('gq_appdir', type : 'string', value : '', description : 'Location of application data')
option('gq_bindir', type : 'string', value : '', description : 'Location of plugin scripts and executables')
option('gq_helpdir', type : 'string', value : '', description : 'Location of documentation files')
option('gq_htmldir', type : 'string', value : '', description : 'Location of html documentation')
option('gq_localedir', type : 'string', value : '', description : 'Location where the catalogs will be installed')

option('archive', type : 'feature', value : 'auto', description : 'archive files e.g. zip, gz')
option('cms', type : 'feature', value : 'auto', description : 'color management system')
option('doxygen', type : 'feature', value : 'auto', description : 'lua api help file')
option('djvu', type : 'feature', value : 'auto', description : 'djvu')
option('evince', type : 'feature', value : 'auto', description : 'print preview')
option('execinfo', type : 'feature', value : 'auto', description : 'execinfo.h')
option('exiv2', type : 'feature', value : 'auto', description : 'exiv2')
option('extended_stacktrace', type : 'feature', value : 'auto', description : 'extended stacktrace')
option('git', type : 'feature', value : 'auto', description : 'lua-api and changelog.html')
option('gps-map', type : 'feature', value : 'auto', description : 'gps map')
option('gtk4', type : 'feature', value : 'disabled', description : 'gtk4 - do not use')
option('heif', type : 'feature', value : 'auto', description : 'heif')
option('help_pdf', type : 'feature', value : 'auto', description : 'help in pdf')
option('j2k', type : 'feature', value : 'auto', description : 'j2k')
option('jpeg', type : 'feature', value : 'auto', description : 'jpeg')
option('jpegxl', type : 'feature', value : 'auto', description : 'jpegxl')
option('libraw', type : 'feature', value : 'auto', description : 'libraw')
option('lua', type : 'feature', value : 'auto', description : 'lua')
option('pandoc', type : 'feature', value : 'auto', description : 'README.html')
option('pdf', type : 'feature', value : 'auto', description : 'pdf')
option('spell', type : 'feature', value : 'auto', description : 'spelling checks')
option('tiff', type : 'feature', value : 'auto', description : 'tiff')
option('unit_tests', type : 'feature', value : 'disabled', description : 'unit tests')
option('videothumbnailer', type : 'feature', value : 'auto', description : 'video thumbnailer')
option('webp', type : 'feature', value : 'auto', description : 'webp')
option('yelp-build', type : 'feature', value : 'auto', description : 'help files')

=== debian/changelog ===
geeqie (1:2.5-8) unstable; urgency=medium

  * Don't use -g with exiftrans to work around crash
    (Closes: #1108681)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 06 Jul 2025 12:30:50 +0200

geeqie (1:2.5-7) unstable; urgency=medium

  * Add patch to fix warning when deleting symlinks (Closes: #1104737)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 15 Jun 2025 17:31:21 +0200

geeqie (1:2.5-6) unstable; urgency=medium

  * Add patch to fix crash on keyword autocomplete (Closes: #1107397)

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 07 Jun 2025 13:44:17 +0200

geeqie (1:2.5-5) unstable; urgency=medium

  * Add patch to make 'Hide Bars and Files' not nuke toolbars
    (Closes: #1101091)
  * Fix old-fsf-address-in-copyright-file
  * Upgrade Standards-Version to 4.7.2 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 02 Apr 2025 13:25:17 +0200

geeqie (1:2.5-4) unstable; urgency=medium

  * Move desktop icon to geeqie package
  * Add Breaks/Replaces on geeqie-common <= 2.5-3
  * Update year for Debian packaging

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 26 Jan 2025 00:16:43 +0100

geeqie (1:2.5-3) unstable; urgency=medium

  * Add patch to check for __GLIBC__ instead of Linux, should fix build
    on hurd-i386

 -- Andreas Rönnquist <gusnan@debian.org>  Fri, 01 Nov 2024 12:22:34 +0100

geeqie (1:2.5-2) unstable; urgency=medium

  * Add patch to fix toolbar plugin buttons - Completes the fix for .desktop
    shortcuts added in toolbars no longer working - the rest of it was
    already in upstream version 2.5. (Closes: #1076665)

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 12 Oct 2024 15:00:55 +0200

geeqie (1:2.5-1) unstable; urgency=medium

  * New upstream version 2.5
  * Refresh patches
  * Install bash-completion, Remove executable flag from bash-completion file
  * Move html files to proper place to install them
  * Fix another privacy-breach (linked image on github)
  * Remove unused lintian override spelling-error-in-binary ment/meant
  * Remove-changelog-from-menu-item.patch: Add Forwarded: not-needed tag

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 22 Sep 2024 01:55:06 +0200

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                webp-pixbuf-loader,
                yelp-tools,
                xxd
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/geeqie
 Vcs-Git: https://salsa.debian.org/debian/geeqie.git
 Homepage: http://geeqie.org/
@@ -56,8 +56,8 @@
 Suggests: gimp,
           xpaint,
           libjpeg-progs
-Replaces: gqview, geeqie-common (<= 1:1.5.1-2)
-Breaks: geeqie-common (<= 1:1.5.1-2)
+Replaces: gqview, geeqie-common (<= 1:2.5-3)
+Breaks: geeqie-common (<= 1:2.5-3)
 Description: image viewer using GTK+
  Geeqie is a browser for graphics files offering single click viewing of
  your graphics files. It includes thumbnail view, zoom, filtering

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --builddirectory=build

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/geeqie/html
	dh_auto_install
	rm -f \
		$(CURDIR)/debian/tmp/usr/share/geeqie/template.desktop \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/TODO \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/README.md \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie/COPYING \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/AUTHORS \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie/html/lua-api/Geeqie.tag \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie/ChangeLog \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie/ChangeLog.html
	mkdir -p $(CURDIR)/debian/geeqie-common/usr/share/doc/geeqie/html/
	cp -r $(CURDIR)/build/doc/html/* debian/geeqie-common/usr/share/doc/geeqie/html/
	# Remove executable flag from bash-completion file
	chmod -x $(CURDIR)/debian/tmp/usr/share/bash-completion/completions/geeqie

override_dh_compress:
	# Readme is shown from program, do not compress it
	dh_compress -pgeeqie -XREADME -XAUTHORS -XCOPYING usr/share/doc/geeqie/changelog.Debian
	dh_compress -pgeeqie-common -XREADME -XAUTHORS -XCOPYING usr/share/doc/geeqie-common/changelog.Debian

=== debian/watch ===
version=4
opts="\
    compression=xz, \
    dversionmangle=s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//, \
    pgpsigurlmangle=s/(\d\S+)\.tar\.xz/$1\.tar\.xz\.asc/, \
    downloadurlmangle=s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/geeqie-$2.tar.xz#, \
    filenamemangle=s#v?@ANY_VERSION@#geeqie-$1.tar.xz#" \
https://github.com/BestImageViewer/geeqie/tags .*/releases/tag/v?@ANY_VERSION@

## geeqie 2.6.1

=== meson_options.txt ===
--- 
+++ 
@@ -30,7 +30,9 @@
 option('evince', type : 'feature', value : 'auto', description : 'print preview')
 option('execinfo', type : 'feature', value : 'auto', description : 'execinfo.h')
 option('exiv2', type : 'feature', value : 'auto', description : 'exiv2')
+option('exr', type : 'feature', value : 'auto', description : 'exr')
 option('extended_stacktrace', type : 'feature', value : 'auto', description : 'extended stacktrace')
+option('fits', type : 'feature', value : 'auto', description : 'fits')
 option('git', type : 'feature', value : 'auto', description : 'lua-api and changelog.html')
 option('gps-map', type : 'feature', value : 'auto', description : 'gps map')
 option('gtk4', type : 'feature', value : 'disabled', description : 'gtk4 - do not use')
@@ -41,6 +43,7 @@
 option('jpegxl', type : 'feature', value : 'auto', description : 'jpegxl')
 option('libraw', type : 'feature', value : 'auto', description : 'libraw')
 option('lua', type : 'feature', value : 'auto', description : 'lua')
+option('npy', type : 'feature', value : 'auto', description : 'npy')
 option('pandoc', type : 'feature', value : 'auto', description : 'README.html')
 option('pdf', type : 'feature', value : 'auto', description : 'pdf')
 option('spell', type : 'feature', value : 'auto', description : 'spelling checks')

=== debian/changelog ===
geeqie (1:2.6.1-2) unstable; urgency=medium

  * Add depends on docbook-xml to fix build failures 
    (Closes: #1115125)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 14 Sep 2025 17:43:41 +0200

geeqie (1:2.6.1-1) unstable; urgency=medium

  * Upload to unstable
  * Refresh patches

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 21 Aug 2025 19:49:47 +0200

geeqie (1:2.6.1-1~exp5) experimental; urgency=medium

  * Don't use -g with exiftrans to work around crash

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 07 Jul 2025 21:59:57 +0200

geeqie (1:2.6.1-1~exp4) experimental; urgency=medium

  * Add patch to fix warning when deleting symlinks (Closes: #1104737)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 29 Jun 2025 21:15:44 +0200

geeqie (1:2.6.1-1~exp3) experimental; urgency=medium

  * Add patch to fix crash on keyword autocomplete

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 09 Jun 2025 13:54:52 +0200

geeqie (1:2.6.1-1~exp2) experimental; urgency=medium

  * Add patch to fix No thumbnails showing on start

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 03 Jun 2025 19:09:57 +0200

geeqie (1:2.6.1-1~exp1) experimental; urgency=medium

  * New upstream version 2.6.1
  * Remove patch Fix-1743-Slow-since-2.6.patch, applied upstream

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 02 Jun 2025 17:45:43 +0200

geeqie (1:2.6-1~exp2) experimental; urgency=medium

  * Cherry-pick patch to use clutter correctly

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 27 May 2025 16:22:52 +0200

geeqie (1:2.6-1~exp1) experimental; urgency=medium

  * New upstream version 2.6
  * Remove patches applied upstream
  * Don't install removed TODO file
  * Don't install org.geeqie.cache-maintenance.desktop file

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 18 May 2025 16:18:55 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                meson,
                cmake,
                doxygen,
+               docbook-xml,
                libgtk-3-dev,
                libexiv2-dev,
                liblcms2-dev,

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,8 @@
 		$(CURDIR)/debian/tmp/usr/share/doc/geeqie-common/AUTHORS \
 		$(CURDIR)/debian/tmp/usr/share/doc/geeqie/html/lua-api/Geeqie.tag \
 		$(CURDIR)/debian/tmp/usr/share/doc/geeqie/ChangeLog \
-		$(CURDIR)/debian/tmp/usr/share/doc/geeqie/ChangeLog.html
+		$(CURDIR)/debian/tmp/usr/share/doc/geeqie/ChangeLog.html \
+		$(CURDIR)/debian/tmp/usr/share/applications/org.geeqie.cache-maintenance.desktop
 	mkdir -p $(CURDIR)/debian/geeqie-common/usr/share/doc/geeqie/html/
 	cp -r $(CURDIR)/build/doc/html/* debian/geeqie-common/usr/share/doc/geeqie/html/
 	# Remove executable flag from bash-completion file

## geeqie 2.6.1+git20260219.2ff94301

=== meson_options.txt ===
--- 
+++ 
@@ -1,15 +1,4 @@
-# This file is a part of Geeqie project (https://www.geeqie.org/).
-# Copyright (C) 2008 - 2022 The Geeqie Team
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 # These gq_* paths are used relative to /prefix/ e.g.
 #               prefix
@@ -27,11 +16,9 @@
 option('cms', type : 'feature', value : 'auto', description : 'color management system')
 option('doxygen', type : 'feature', value : 'auto', description : 'lua api help file')
 option('djvu', type : 'feature', value : 'auto', description : 'djvu')
-option('evince', type : 'feature', value : 'auto', description : 'print preview')
 option('execinfo', type : 'feature', value : 'auto', description : 'execinfo.h')
 option('exiv2', type : 'feature', value : 'auto', description : 'exiv2')
 option('exr', type : 'feature', value : 'auto', description : 'exr')
-option('extended_stacktrace', type : 'feature', value : 'auto', description : 'extended stacktrace')
 option('fits', type : 'feature', value : 'auto', description : 'fits')
 option('git', type : 'feature', value : 'auto', description : 'lua-api and changelog.html')
 option('gps-map', type : 'feature', value : 'auto', description : 'gps map')

=== debian/changelog ===
geeqie (1:2.6.1+git20260219.2ff94301-1) unstable; urgency=medium

  * New upstream git snapshot - makes it possible to view files
    without file extension (Closes: #1127554)
  * Refresh patches, remove patches applied upstream
  * Fix installing bash completions
  * Remove pixmaps
  * Add patch to add plugin subdir to build
  * Remove installing appdata file
  * Install metainfo file in geeqie-common package
  * Update Standards-Version to 4.7.3 (No changes required)
  * Add forwarded field to patch
  * Updaate copyright year to 2026
  * Fix trailing whitespace in changelog
  * Remove redundant Priority optional field
  * Remove redundant Rules requires root field
  * Convert to watch version 5
  * Fix script-not-executable lintian warning
  * Add patch to revise project directory structure

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 22 Feb 2026 20:56:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: geeqie
 Maintainer: Andreas Rönnquist <gusnan@debian.org>
 Section: graphics
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                appstream,
                desktop-file-utils,
@@ -35,11 +34,10 @@
                webp-pixbuf-loader,
                yelp-tools,
                xxd
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/geeqie
 Vcs-Git: https://salsa.debian.org/debian/geeqie.git
 Homepage: http://geeqie.org/
-Rules-Requires-Root: no
 
 Package: geeqie
 Architecture: any

## geeqie 2.7

=== debian/changelog ===
geeqie (1:2.7-1) unstable; urgency=medium

  * New upstream version 2.7
  * Refresh patches, remove patches applied upstream
  * Install metainfo properly too

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 28 Feb 2026 01:06:08 +0100

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,9 @@
 		$(CURDIR)/debian/tmp/usr/share/applications/org.geeqie.cache-maintenance.desktop
 	mkdir -p $(CURDIR)/debian/geeqie-common/usr/share/doc/geeqie/html/
 	cp -r $(CURDIR)/build/doc/html/* debian/geeqie-common/usr/share/doc/geeqie/html/
-	# Remove executable flag from bash-completion file
-	chmod -x $(CURDIR)/debian/tmp/usr/share/bash-completion/completions/geeqie
+	chmod +x $(CURDIR)/debian/tmp/usr/lib/geeqie/geeqie-symlink
+	mkdir -p $(CURDIR)/debian/geeqie/usr/share/metainfo/
+	cp $(CURDIR)/build/org.geeqie.Geeqie.metainfo.xml $(CURDIR)/debian/geeqie/usr/share/metainfo/
 
 override_dh_compress:
 	# Readme is shown from program, do not compress it

=== debian/watch ===
Version: 5
Template: Github
Owner: BestImageViewer
Project: geeqie
Pgp-Sig-Url-Mangle: s/(\d\S+)\.tar\.xz/$1\.tar\.xz\.asc/
